X
Nhấn vào đây để đến phiên bản di động của trang web.

Diễn đàn trợ giúp

Why won't LastPass extension install after it was disabled with FF update to vers. 71?

Được đăng

LastPass was installed and running until Firefox automatically upgraded to ver. 71 and now it's been disabled. Even though LastPass is a "recommended" extension, when I try to re-install from Mozilla I get the message "an unexpected error occurred during installation" (see attached file). LP users report the same problem on their site but it's clearly a Firefox 71 problem (LP works fine will all my other browsers).

LastPass was installed and running until Firefox automatically upgraded to ver. 71 and now it's been disabled. Even though LastPass is a "recommended" extension, when I try to re-install from Mozilla I get the message "an unexpected error occurred during installation" (see attached file). LP users report the same problem on their site but it's clearly a Firefox 71 problem (LP works fine will all my other browsers).
Đính kèm ảnh chụp màn hình

Giải pháp được chọn

It looks like quite a few people are also having issues with LastPass, so I don't think you are alone on this. I brought this to the attention of the LastPass support team and they have notified their development team to look into the issue.

The article that Senali attached for you does indeed apply to new versions of Firefox. It contains a warning message at the top that only applies to older versions of Firefox, but the rest of the article is still relevant. Specifically, I believe she is pointing you to this section of the article.

Your profile folder is listed on the screenshot that you have attached. In the Profile Folder section it's the Show in Finder button because you are on a Mac.

To answer your final question, no, Opera is not a Mozilla product.

Đọc câu trả lời này trong ngữ cảnh 1
Trích dẫn

Chi tiết hệ thống bổ sung

Ứng dụng

  • Chuỗi đại diện người dùng: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:71.0) Gecko/20100101 Firefox/71.0

Thông tin chi tiết

Senali Madawala
  • Top 25 Contributor
2 giải pháp 161 câu trả lời
Được đăng

Most of the times, this problem occurs when you update the Firefox version installed in your system. So therefore delete following files from your Mozilla Firefox Profiles folder:

   extensions.ini
   extensions.cache
   extensions.rdf

(These files will be re-created automatically when you start Firefox next time and your problem will be fixed)

To find the location of Profiles folder:- Click the menu button,click Help and select Troubleshooting Information. The Troubleshooting Information tab will open. Under the Application Basics section next to Profile Directory, click on Open Directory. Your profile folder will open.

For further information: https://support.mozilla.org/en-US/kb/unable-install-add-ons-extensions-or-themes

or-------------------------------------------------------------------------------------------------------

Type "about:config" on address bar and enter. Then search "xpinstall.signatures.required" on search bar. Then Set xpinstall.signatures.required preference to false on about:config page by double clicking.

Most of the times, this problem occurs when you update the Firefox version installed in your system. So therefore delete following files from your Mozilla Firefox Profiles folder: extensions.ini extensions.cache extensions.rdf (These files will be re-created automatically when you start Firefox next time and your problem will be fixed) To find the location of Profiles folder:- Click the menu button,click Help and select Troubleshooting Information. The Troubleshooting Information tab will open. Under the Application Basics section next to Profile Directory, click on Open Directory. Your profile folder will open. For further information: https://support.mozilla.org/en-US/kb/unable-install-add-ons-extensions-or-themes or------------------------------------------------------------------------------------------------------- Type "about:config" on address bar and enter. Then search "xpinstall.signatures.required" on search bar. Then Set xpinstall.signatures.required preference to false on about:config page by double clicking.

Được chỉnh sửa bởi Senali Madawala vào

Bài viết này có hữu ích với bạn không?
Trích dẫn

Người tạo câu hỏi

1: I did not do an update, it was an auto update by Firefox/Mozilla.

2: I cannot locate my Mozilla Firefox Profiles Folder. I clicked on Menu, chose Help, and then ToubleShooting/Application Basics section. But there is no Profile Directory or a link to Open Directory. (see screenshot)

3. The "further information" you link to does not seem to address my issue. It deals with much older versions of Firefox or problems that are not what I need to solve. I.e. LastPass is not incompatible or problematic for Firefox 71 because it is a Recommended application - and has always installed and worked with prior versions of Firefox.

4: Isn't Opera also a Mozilla product? I use it a lot and don't have any problems with the LastPass extension. I hope you aren't planning to upgrade that to a new version as well - one that will no longer accept LastPass as an installable extension.

THank you for your response

1: I did not do an update, it was an auto update by Firefox/Mozilla. 2: I cannot locate my Mozilla Firefox Profiles Folder. I clicked on Menu, chose Help, and then ToubleShooting/Application Basics section. But there is no Profile Directory or a link to Open Directory. (see screenshot) 3. The "further information" you link to does not seem to address my issue. It deals with much older versions of Firefox or problems that are not what I need to solve. I.e. LastPass is not incompatible or problematic for Firefox 71 because it is a Recommended application - and has always installed and worked with prior versions of Firefox. 4: Isn't Opera also a Mozilla product? I use it a lot and don't have any problems with the LastPass extension. I hope you aren't planning to upgrade that to a new version as well - one that will no longer accept LastPass as an installable extension. THank you for your response
Bài viết này có hữu ích với bạn không?
Trích dẫn
Wesley Branton
  • Top 10 Contributor
689 giải pháp 5481 câu trả lời
Được đăng

Giải pháp được chọn

It looks like quite a few people are also having issues with LastPass, so I don't think you are alone on this. I brought this to the attention of the LastPass support team and they have notified their development team to look into the issue.

The article that Senali attached for you does indeed apply to new versions of Firefox. It contains a warning message at the top that only applies to older versions of Firefox, but the rest of the article is still relevant. Specifically, I believe she is pointing you to this section of the article.

Your profile folder is listed on the screenshot that you have attached. In the Profile Folder section it's the Show in Finder button because you are on a Mac.

To answer your final question, no, Opera is not a Mozilla product.

It looks like quite a few people are also having issues with LastPass, so I don't think you are alone on this. I brought this to the attention of the LastPass support team and they have notified their development team to look into the issue. The article that Senali attached for you does indeed apply to new versions of Firefox. It contains a warning message at the top that only applies to older versions of Firefox, but the rest of the article is still relevant. Specifically, I believe she is pointing you to [[Unable to install add-ons (extensions or themes)#w_corrupt-extension-files|this section of the article]]. Your profile folder is listed on the screenshot that you have attached. In the '''Profile Folder''' section it's the '''Show in Finder''' button because you are on a Mac. To answer your final question, no, Opera is not a Mozilla product.
Bài viết này có hữu ích với bạn không? 1
Trích dẫn

Người tạo câu hỏi

laurie.nyc said

LastPass was installed and running until Firefox automatically upgraded to ver. 71 and now it's been disabled. Even though LastPass is a "recommended" extension, when I try to re-install from Mozilla I get the message "an unexpected error occurred during installation" (see attached file). LP users report the same problem on their site but it's clearly a Firefox 71 problem (LP works fine will all my other browsers).


Thanks for your response Senali and Wesley. I did not mean to choose this as a solution. Where you sent me is where I first started (in the Library folder, Mozilla etc). - the folder THe link is to a folder named xzazqec2.default.

I looked through every subfolder and file in the that profile folder and didn't find any match to the three files named in the Senali's answer:

  extensions.ini
  extensions.cache
  extensions.rdf

I then did a search for "extensions" in the folder but didn't find any of them either. Here's what came up: platformBackgroundOverride.js extensionSiteTutorialDialog.js extensions.json extensions extension-storage.json extension-storage.json extension-settings.json error-sync-1575687904625.txt error-sync-1575686552214.txt error-sync-1575685859734.txt error-sync-1575214132882.txt prefs.js error-sync-1575044722117.txt

So I'm still kind of stuck

''laurie.nyc [[#question-1274500|said]]'' <blockquote> LastPass was installed and running until Firefox automatically upgraded to ver. 71 and now it's been disabled. Even though LastPass is a "recommended" extension, when I try to re-install from Mozilla I get the message "an unexpected error occurred during installation" (see attached file). LP users report the same problem on their site but it's clearly a Firefox 71 problem (LP works fine will all my other browsers). </blockquote> Thanks for your response Senali and Wesley. I did not mean to choose this as a solution. Where you sent me is where I first started (in the Library folder, Mozilla etc). - the folder THe link is to a folder named xzazqec2.default. I looked through every subfolder and file in the that profile folder and didn't find any match to the three files named in the Senali's answer: extensions.ini extensions.cache extensions.rdf I then did a search for "extensions" in the folder but didn't find any of them either. Here's what came up: platformBackgroundOverride.js extensionSiteTutorialDialog.js extensions.json extensions extension-storage.json extension-storage.json extension-settings.json error-sync-1575687904625.txt error-sync-1575686552214.txt error-sync-1575685859734.txt error-sync-1575214132882.txt prefs.js error-sync-1575044722117.txt So I'm still kind of stuck
Bài viết này có hữu ích với bạn không?
Trích dẫn
cor-el
  • Top 10 Contributor
  • Moderator
17673 giải pháp 159874 câu trả lời
Được đăng

Does the Browser Console show a more specific error message when you try to install the LastPass extension ?

  • "3-bar" menu button or Tools -> Web Developer
Does the Browser Console show a more specific error message when you try to install the LastPass extension ? *"3-bar" menu button or Tools -> Web Developer
Bài viết này có hữu ích với bạn không?
Trích dẫn

Người tạo câu hỏi

Thanks for responding cor-el

It took me a while to find the browser console. I left it open when I tried tried to add LastPass to FIrefox (directly from Mozilla)

Screen shot of console while trying to add Last Pass - attached

thanks

Thanks for responding cor-el It took me a while to find the browser console. I left it open when I tried tried to add LastPass to FIrefox (directly from Mozilla) Screen shot of console while trying to add Last Pass - attached thanks
Bài viết này có hữu ích với bạn không?
Trích dẫn
cor-el
  • Top 10 Contributor
  • Moderator
17673 giải pháp 159874 câu trả lời
Được đăng

You can see in the last message that there is a problem with installing (or updating) LastPass and that an error occurred (NS_ERROR_FILE_ACCESS_DENIED). This might be because LastPass is currently running and some files are locked. The message doesn't show details like what file or file location this is about.

So there is a problem from copying/moving the downloaded XPI file from a temp location in /var/folders/ to the profile folder in the home directory (extensions/staged) as the first step in installing LastPass. The second step would be to move the file from the staged folder to its own extension folder.

You can see in the last message that there is a problem with installing (or updating) LastPass and that an error occurred (NS_ERROR_FILE_ACCESS_DENIED). This might be because LastPass is currently running and some files are locked. <del>The message doesn't show details like what file or file location this is about.</del> So there is a problem from copying/moving the downloaded XPI file from a temp location in /var/folders/ to the profile folder in the home directory (extensions/staged) as the first step in installing LastPass. The second step would be to move the file from the staged folder to its own extension folder.

Được chỉnh sửa bởi cor-el vào

Bài viết này có hữu ích với bạn không?
Trích dẫn

Người tạo câu hỏi

cor-el - I appreciate your response/explanation, but I don't think Last Pass was running anywhere else. And, as Wesley Branton confirmed, Last Pass forums show a lot of people having the same problem.

When I launched Firefox last week, Mozilla had updated it to ver. 71 without notice. The LastPass extension was no longer in the browser bar - although it had always been there. I went to resinstall the extension and couldn't (the error message I sent).

--is there anything I can to to get LastPass extension back?

--Is there a reason it won't install now even though I never had a problem before the latest FF update? (it is a Mozilla "recommended" extension)

--is this being addressed in the next Firefox upgrade since a lot of people are having the same problem?

thanks

cor-el - I appreciate your response/explanation, but I don't think Last Pass was running anywhere else. And, as Wesley Branton confirmed, Last Pass forums show a lot of people having the same problem. When I launched Firefox last week, Mozilla had updated it to ver. 71 without notice. The LastPass extension was no longer in the browser bar - although it had always been there. I went to resinstall the extension and couldn't (the error message I sent). --is there anything I can to to get LastPass extension back? --Is there a reason it won't install now even though I never had a problem before the latest FF update? (it is a Mozilla "recommended" extension) --is this being addressed in the next Firefox upgrade since a lot of people are having the same problem? thanks
Bài viết này có hữu ích với bạn không?
Trích dẫn
cor-el
  • Top 10 Contributor
  • Moderator
17673 giải pháp 159874 câu trả lời
Được đăng

You can try to download and save the LastPass extension (.xpi file) to your computer (e.g.Desktop and install the extension via the about:addons or even rename the file to support@lastpass.com.xpi and copy the file directly to the extensions folder in the profile folder to see if that works.

You can use the button on the "Help -> Troubleshooting Information" (about:support) page to go to the current Firefox profile folder or use the about:profiles page.

You can try to download and save the LastPass extension (.xpi file) to your computer (e.g.Desktop and install the extension via the about:addons or even rename the file to <b>support@lastpass.com.xpi</b> and copy the file directly to the extensions folder in the profile folder to see if that works. You can use the button on the "Help -> Troubleshooting Information" (about:support) page to go to the current Firefox profile folder or use the <b>about:profiles</b> page. *Help -> Troubleshooting Information -> Profile Folder/Directory:<br>Windows: Show Folder; Linux: Open Directory; Mac: Show in Finder *https://support.mozilla.org/en-US/kb/Profiles
Bài viết này có hữu ích với bạn không?
Trích dẫn

Người tạo câu hỏi

I just actually solved it myself without trying (and before your most recent suggestion). I got a FF system notice about the browser not working fast enough and suggesting I reset the application (but would have to reinstall extensions and other preferences).

I did, and found that the LastPass extension downloaded and installed with no problem!

thanks for your persistent efforts.

I just actually solved it myself without trying (and before your most recent suggestion). I got a FF system notice about the browser not working fast enough and suggesting I reset the application (but would have to reinstall extensions and other preferences). I did, and found that the LastPass extension downloaded and installed with no problem! thanks for your persistent efforts.
Bài viết này có hữu ích với bạn không?
Trích dẫn
Đặt một câu hỏi

Bạn phải đăng nhập vào tài khoản của bạn để trả lời bài viết. Vui lòng bắt đầu một câu hỏi mới, nếu bạn chưa có tài khoản.